| Home | Libraries | People | FAQ | More

## Function template spawn

boost::process::spawn

## Synopsis

    // In header: <boost/process/spawn.hpp>

    template<typename ... Args> void spawn(Args &&... args);

## Description

Launch a process and detach it. Returns no handle.

This function starts a process and immediately detaches it. It thereby prevents the system from creating a zombie process, but will also cause the system to be unable to wait for the child to exit.

| Note
This will set `SIGCHLD` to `SIGIGN` on posix.

| Warning
This function does not allow asynchronous operations, since it cannot wait for the end of the process. It will fail to compile if a reference to `boost::asio::io_context` is passed.